<template>
  <div class="todo-item row">

    <div class="col col-lg-1">

      <input class="form-check-input"
             type="checkbox"
             @change="changeStatus(item)">
    </div>

    <div class="col col-lg-3"
         :class="getItemClass">

    {{item.name}}

    </div>

    <div class="col col-lg-1">
      <button type="button"
                class="btn-sm btn-danger"
                v-show="!item.done"
                @click="removeItem(item)">X</button>
    </div>
  </div>
</template>

<script>
import { mapMutations } from 'vuex';

export default {
  name: 'TodoItem',
  props: {
    item: Object,
  },

  methods: {
      ...mapMutations([
          'removeItem',
          'changeStatus'
      ]),
  },

  computed: {
    getItemClass() {
      return {
        'todo-item--medium': this.item.priority === 'MEDIUM' && !this.item.done,
        'todo-item--high': this.item.priority === 'HIGH' && !this.item.done,
        'todo-item--done': this.item.done,
      };
    },
  },
};
</script>

<style lang="scss" scoped>
  .todo-item--done {
    color: darkgrey;
    text-decoration: line-through;
  }

  .todo-item--medium {
    color: orange;
  }

  .todo-item--high {
    color: red;
  }
</style>
